Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007175opensim[REGION] Script Functionspublic2014-05-16 07:002015-05-02 09:52
Reporterdjphil 
Assigned Tojustincc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS VersionSeven
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0007175: [SCRIPT] llGetVel() don't work with HUD + Vehicle
DescriptionI created a small hud with llGetVel() in order to get the speed of movement of my avatar. It works very well.
Then I installed my avatar on a single vehicle and there I found that my HUD was not working. llGetVel() simply returns 0 all the time. So it does not work when the avatar is on a vehicle.
I have been on SL for my test and normal HUD with a vehicle and it works fine.
I therefore concluded that there is a bug about it in OpenSim.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows32
Mono VersionNone
ViewerSingularity, FireStorm
Attached Files

- Relationships

-  Notes
(0026116)
djphil (reporter)
2014-05-16 09:22
edited on: 2014-05-16 09:33

I also tried with llGetObjectDetails worn as HUD as suggested dhalia me and i found it it will NOT work.

OBJECT_POS is ok
OBJECT_ROT remains 0
OBJECT_VELOCITY remains 0

I also tested it in SL and it works fine
OBJECT_POS is ok
OBJECT_ROT is ok
OBJECT_VELOCITY is ok

So there is also a bug with llGetObjectDetails in OpenSim

(0026118)
djphil (reporter)
2014-05-16 09:44

See also similar problem here:
http://opensimulator.org/mantis/view.php?id=7177 [^]
(0026600)
djphil (reporter)
2014-07-26 04:42

Currently in Version v0.8.1 OSG I found that the problem persists. Have you tried to fix this bug? I do not see any information about it. Thank you in advance.
(0026794)
justincc (administrator)
2014-08-29 17:18

Fixed in git master 473c559
(0028150)
djphil (reporter)
2015-04-30 15:54

Works fine now, thank you sir!

- Issue History
Date Modified Username Field Change
2014-05-16 07:00 djphil New Issue
2014-05-16 09:22 djphil Note Added: 0026116
2014-05-16 09:33 djphil Note Edited: 0026116 View Revisions
2014-05-16 09:44 djphil Note Added: 0026118
2014-07-26 04:42 djphil Note Added: 0026600
2014-08-29 17:18 justincc Note Added: 0026794
2014-08-29 17:18 justincc Status new => resolved
2014-08-29 17:18 justincc Resolution open => fixed
2014-08-29 17:18 justincc Assigned To => justincc
2015-04-30 15:54 djphil Note Added: 0028150
2015-04-30 15:54 djphil Status resolved => closed
2015-04-30 15:54 djphil Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker